Knowledgebase & Forum/Own the Zone/FAQ

System Requirements

Sal A
posted this on Jun 08 08:26

What browsers do you support?

The game runs on all modern browsers including Chrome, Safari, Firefox and IE9.

Note: Internet Explorer is not supported.

 
Topic is closed for comments